%define name 	gtk-terranova-engine
%define version 0.40
%define release %mkrel 2
%define themesdir %{_datadir}/themes

Summary:  TerraNova GTK2 engine
Name: 	  %{name}
Version:  %{version}
Release:  %{release}
License:  GPL
Group: 	  Graphical desktop/GNOME
URL: 	  http://gnome-look.org/
Source0:  %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gtk2-devel >= 2.8

%description
TerraNova gtk2 theme engine.

%package -n gtk-theme-Terranova
Summary: GTK theme TerraNova
Group: Graphical desktop/GNOME
Requires: %{name}

%description -n gtk-theme-Terranova
GTK theme Terranova using the TerraNova gtk engine


%prep
%setup -q 

%build

%configure2_5x --disable-static


%make 

%install
rm -rf %{buildroot}
%makeinstall

rm -f %{buildroot}/%_libdir/gtk-2.0/2.10.0/engines/*.la
rm -f %{buildroot}/%_libdir/pkgconfig/terranova.pc

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%_libdir/gtk-2.0/2.10.0/engines/libterranova.so

%files -n gtk-theme-Terranova
%defattr(-, root, root, 0755)
%_datadir/gtk-engines/terranova.xml
%_datadir/themes/TerraNova-Midnight/gtk-2.0/gtkrc
%_datadir/themes/TerraNova/gtk-2.0/gtkrc


%changelog
* Tue Aug 26 2014 bb <bb> 0.40-2pclos2014
- update

* Fri Jul 02 2010 Texstar <texstar at gmail.com> 0.40-1pclos2010
- create package for pclos


